function [err]  = obj_fun_ACC(p, x, v, xl, vl, s, reset, calibration_setup)
    %   p   = [p1, p2, p3]
    %         [kp, kd, td]
    global dt_data 
    
    a_model     = NaN(numel(x),1);
    v_model     = a_model;
    x_model     = a_model;
    s_model     = a_model;
    
    for i  = 1 : numel(x) - 1
        % Initiating after reset
        if reset(i) == 1
            a_model(i)	= 0;
            v_model(i)  = v(i);
            x_model(i)  = x(i);
            s_model(i)  = s(i);
        end
        
        a_model(i)      = ...
            p(1) .* ...
                (xl(i) - x_model(i) - (p(3)*v_model(i))) + ...
            p(2) .* ...
                (vl(i) - v_model(i));
            
        % Update velocity using explicit Euler integration
        v_model(i+1)    = v_model(i) + a_model(i) * dt_data;
        % Update position via trapezoidal rule as in \cite{Kesting2008}
        x_model(i+1)    = x_model(i) + (v_model(i) + v_model(i+1)) * ...
            dt_data/2;
        
        % Update spacing using rule for internal consistency
        s_model(i+1)    = xl(i+1) - x_model(i+1);
    end
    
    err     = compute_error(s, s_model, v, v_model, calibration_setup);
end











