function [exp_lag] = compute_lag_RMSE(signal_1, signal_2, Fs)
    % This script computes the minimum error between two signals, of which
    % one is shifted 0.5N to N points
    N                   = Fs;
    deviation           = Inf(N,1);
    for i = .5*N : N
        deviation(i)    = sum((signal_1(i:end) - signal_2(1:end-(i-1))).^2);
    end
    [~,idx]             = min(deviation);
    exp_lag             = -idx;
end

