function    [p_ACC,costval,exitflag,output] = calibrate_ACC_alt(data_in)
    global options 
    global p_ACC_pub
    global kp_range kd_range td_range
    
    s0_range    = [0, 10];
    
    N_param    	= numel(p_ACC_pub) + 1;
    FN          = fieldnames(data_in);
    p_ACC       = NaN(numel(FN),N_param);
    costval     = NaN(numel(FN),1);
    exitflag    = NaN(numel(FN),1);

    progressbar(0,0)
    for i = 1 : numel(FN)
        progressbar([],0)
        try
            i_cali  = data_in.(FN{i}).calibration_setup.i_cali;
        catch
            i_cali  = [1,size(data_in.(FN{i}).timetab)];
        end
        for j = 1 : size(i_cali,1)
            progressbar((i-1)/numel(FN), (j-1)/size(i_cali,1))
            % Acceleration, velocity and position from Kalman velocity
            % Distance-gap and lead vehicle velocity from MobilEye distance-gap
            fun_ACC     = @(p_ACC) obj_fun_ACC_alt(p_ACC, ...
                data_in.(FN{i}).timetab.x(i_cali(j,1) : i_cali(j,2)), ...
                data_in.(FN{i}).timetab.v(i_cali(j,1) : i_cali(j,2)), ...
                data_in.(FN{i}).timetab.xl(i_cali(j,1) : i_cali(j,2)), ...
                data_in.(FN{i}).timetab.vl(i_cali(j,1) : i_cali(j,2)), ...
                data_in.(FN{i}).timetab.s(i_cali(j,1) : i_cali(j,2)), ...
                [1; data_in.(FN{i}).timetab.reset(i_cali(j,1) + 1 : i_cali(j,2))], ...
                data_in.(FN{i}).calibration_setup);

            A           = [];
            b           = [];
            Aeq         = [];
            beq         = [];
            %             [kp, kd, ts]
            lb          = [kp_range(1),  kd_range(1),  td_range(1), s0_range(1)] .* 0.0001;
            ub          = [kp_range(2) * 100,  kd_range(2) * 100,  10, s0_range(2)];
            nonlcon     = [];
            
            try
                [p_ACC(i,:,j), costval(i,j), exitflag(i,j), output] = ...
                    fmincon(fun_ACC,[p_ACC_pub,3],A,b,Aeq,beq,lb,ub,nonlcon,options);
                if ~ismember(exitflag(i,j), [0, 1, 2])
                    p_ACC(i,:,j)    = NaN(1,N_param);
                    costval(i,j)    = NaN;
                    exitflag(i,j)   = NaN;
                end
            catch
                p_ACC(i,:,j)	= NaN(1,N_param);
                costval(i,j) 	= NaN;
                exitflag        = NaN;
                output          = NaN;
            end
        end
    end
    progressbar(1,1)
end

    
    
    
    
    
    
    