function [s_opt]    = find_s_opt(p, v, model)
    global options
    % Find the optimal distance-gap (where a = 0)
    
    A           = [];
    b           = [];
    Aeq         = [];
    beq         = [];
    %             [s]
    lb          = v;
    ub          = 1000*v;
    nonlcon     = [];

    % Two different options: IDM, ACC
    if strcmpi(model,'IDM')
        if v < 15/3.6
            s_opt       = p(5) + v.*p(3);
        else
            fun_IDM     = @(s) vdot_IDM(p, v, s);
            s_opt       = fmincon(fun_IDM,2*v,A,b,Aeq,beq,lb,ub,nonlcon,options);
        end
    elseif strcmpi(model,'ACC')
        fun_ACC     = @(s) vdot_ACC(p, v, s);
        s_opt       = fmincon(fun_ACC,2*v,A,b,Aeq,beq,lb,ub,nonlcon,options);
    end    
end

% Simplified acceleration function IDM model
function [a] = vdot_IDM(p, v, s)
    s_opti 	= p(5) + v.*p(3);
    a       = abs( p(1) .* (1 - (v./p(4)) .^4 - (s_opti ./ s) .^2) );
end

% Simplified acceleration function ACC model
function [a] = vdot_ACC(p, v, s)
    a       = abs(p(1) .* (s - (p(3)*v)));
end








