function [data_out] = add_calibration_info(varargin)
    global calibration_setup
    
    for i = 1 : 2 : numel(varargin)
        data_curr   = varargin{i};
        
        % Find reset indices and remove too short intervals
        data_w_reset    = find_reset_points(data_curr);

        % {'longitude','latitude','speed_lim','traffic_light', ...
        %   'invalid','x','v','a','ID','gear','s','s_dot',...
        %   'vl','regime','regime_enum','reset'}
        data_w_reset.Properties.VariableContinuity = ...
            {'continuous','continuous','step','step',...
            'step','continuous','continuous','continuous','step','step',...
            'continuous','continuous','continuous','step','step','unset','unset'};

        % Intiate final table
        data_w_reset.xl = data_w_reset.x + data_w_reset.s;
        
        % Calculate dependent variables
        data_w_reset    = data_w_reset(:,ismember(fieldnames(data_w_reset), ...
            {'reset','reset_type','v','s','x','xl'}));
        data_consistent = get_dependent_vars(data_w_reset, ...
            calibration_setup.base_variable);
        
        % Add calibration information
        data_out.(varargin{i+1}).timetab            = data_consistent;
        data_out.(varargin{i+1}).calibration_setup  = calibration_setup;
    end
end