function [bool_out]     = assess_excitation(data_in)

    % Assess which trajectories contan accelerations below 1 m/s^2 at
    % velocities below 10 m/s
    FN              = fieldnames(data_in);
    tmp_bool_out    = zeros(numel(FN),1);
    for i = 1 : numel(FN)
       bool1    = (data_in.(FN{i}).timetab.a <= -1) .* ...
           (data_in.(FN{i}).timetab.v <= 10);
       tmp_bool_out(i)  = max(bool1);
    end
    
    % Write results to output table
    bool_out    = table(FN,tmp_bool_out,'VariableNames', ...
        {'Trajectory','Valid_Excitation'});
    
end