function [data_out] = find_validation_reset_points(data_in)
    global calibration_setup dt_data

    % Get fieldnames and initiate data
    FN          = fieldnames(data_in);
    data_out    = data_in;
    
    for i = 1 : numel(FN)
        % Get current data
        data_curr       = data_in.(FN{i}).timetab;
        reset_idxs      = [find( (data_curr.reset == 1) .* strcmpi(data_curr.reset_type,'hard') ); 
            numel(data_curr.reset)+1];

        % Find reset indices based on defined reset interval
        i_reset         = max(1,calibration_setup.t_reset / dt_data);
        for j = 1 : numel(reset_idxs) - 1
            idxs            = reset_idxs(j) : reset_idxs(j+1) - 1;
            reset_idx_add   = idxs(1) : i_reset : idxs(end);
            if numel(reset_idx_add) > 1
                reset_idx_add(1)    = [];
                reset_idx_add(end)  = [];
            end
            
            % Add reset points and label them as 'vali'
            data_curr.reset(reset_idx_add)      = 1;
            data_curr.reset_type(reset_idx_add) = {'vali'};
        end
        
        % Write data to output
        data_out.(FN{i}).timetab.reset          = data_curr.reset;
        data_out.(FN{i}).timetab.reset_type     = data_curr.reset_type;
    end
end